﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using System.IO;

namespace teeeeest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }
        void load() 
        {
            string appPath;
            appPath = System.Reflection.Assembly.GetExecutingAssembly().CodeBase;
            appPath = appPath.Substring(8);
            appPath = System.IO.Path.GetDirectoryName(appPath);
            DirectoryInfo dir = new DirectoryInfo(appPath);
            appPath = dir.FullName;
            string dbPath = @"C:\TempProjects\teeeeest\teeeeest\Quarterbacks.xml";

            System.Xml.XmlReader reader = System.Xml.XmlReader.Create(dbPath);

            System.Xml.XmlDocument doc = new System.Xml.XmlDocument();
            doc.Load(reader);

            DataSet ds = new DataSet();
            ds.ReadXml(new System.Xml.XmlNodeReader(doc));

            DataView dv = new DataView(ds.Tables[0]);

            xamDataGrid1.DataSource = dv;

            xamDataGrid1.FieldLayouts[0].Fields["int"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["games"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["comp"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["att"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["passingyards"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["passingtd"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["rushs"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["rushyrds"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["rushtd"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["sack"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["yardslost"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["fum"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["fuml"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["year"].DataType = typeof(int);
            xamDataGrid1.FieldLayouts[0].Fields["qbrate"].DataType = typeof(double);
            xamDataGrid1.FieldLayouts[0].Fields["pct"].DataType = typeof(double);
            xamDataGrid1.FieldLayouts[0].Fields["passingyardsperattempt"].DataType = typeof(double);
            xamDataGrid1.FieldLayouts[0].Fields["passingyardspergame"].DataType = typeof(double);
            xamDataGrid1.FieldLayouts[0].Fields["rushyardspergame"].DataType = typeof(double);
            xamDataGrid1.FieldLayouts[0].Fields["rushavg"].DataType = typeof(double);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            load();
        }
    }
}
